# Uses of Class
java.io.ObjectStreamException

Packages that use ObjectStreamException
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.color
Provides classes for color spaces.
java.io
Provides for system input and output through data streams, serialization and the file system.
java.security
Provides the classes and interfaces for the security framework.
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
javax.management.openmbean
Provides the open data types and Open MBean descriptor classes.
javax.print.attribute
Provides classes and interfaces that describe the types of Java Print Service attributes and how they can be collected into attribute sets.

## Uses of ObjectStreamException in java.awt

Methods in java.awt that throw ObjectStreamException
Modifier and Type
Method
Description
`protected Object`
AWTKeyStroke.`readResolve()`
Returns a cached instance of `AWTKeyStroke` (or a subclass of `AWTKeyStroke`) which is equal to this instance.

## Uses of ObjectStreamException in java.awt.color

Methods in java.awt.color that throw ObjectStreamException
Modifier and Type
Method
Description
`protected Object`
ICC_Profile.`readResolve()`
Resolves instances being deserialized into instances registered with CMM.

## Uses of ObjectStreamException in java.io

Subclasses of ObjectStreamException in java.io
Modifier and Type
Class
Description
`class`
`InvalidClassException`
Thrown when the Serialization runtime detects one of the following problems with a Class.
`class`
`InvalidObjectException`
Indicates that one or more deserialized objects failed validation tests.
`class`
`NotActiveException`
Thrown when serialization or deserialization is not active.
`class`
`NotSerializableException`
Thrown when an instance is required to have a Serializable interface.
`class`
`OptionalDataException`
Exception indicating the failure of an object read operation due to unread primitive data, or the end of data belonging to a serialized object in the stream.
`class`
`StreamCorruptedException`
Thrown when control information that was read from an object stream violates internal consistency checks.
`class`
`WriteAbortedException`
Signals that one of the ObjectStreamExceptions was thrown during a write operation.

## Uses of ObjectStreamException in java.security

Methods in java.security that throw ObjectStreamException
Modifier and Type
Method
Description
`protected Object`
KeyRep.`readResolve()`
Resolve the Key object.

## Uses of ObjectStreamException in java.security.cert

Methods in java.security.cert that throw ObjectStreamException
Modifier and Type
Method
Description
`protected Object`
Certificate.CertificateRep.`readResolve()`
Resolve the Certificate Object.
`protected Object`
CertPath.CertPathRep.`readResolve()`
Returns a `CertPath` constructed from the type and data.
`protected Object`
Certificate.`writeReplace()`
Replace the Certificate to be serialized.
`protected Object`
CertPath.`writeReplace()`
Replaces the `CertPath` to be serialized with a `CertPathRep` object.

## Uses of ObjectStreamException in javax.management.openmbean

Methods in javax.management.openmbean that throw ObjectStreamException
Modifier and Type
Method
Description
`Object`
SimpleType.`readResolve()`
Replace an object read from an `ObjectInputStream` with the unique instance for that value.

## Uses of ObjectStreamException in javax.print.attribute

Methods in javax.print.attribute that throw ObjectStreamException
Modifier and Type
Method
Description
`protected Object`
EnumSyntax.`readResolve()`
During object input, convert this deserialized enumeration instance to the proper enumeration value defined in the enumeration attribute class.